summaryrefslogtreecommitdiff
path: root/tests/mv
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-03-30 15:26:46 +0000
committerJim Meyering <jim@meyering.net>2002-03-30 15:26:46 +0000
commitf79efa913c3a26d4cdf0ab0e349d5dd6c5c944ba (patch)
tree8f7a77117b4af121d5863a215fcb66774454d86f /tests/mv
parent8b861292c647d4c1f44704b441911838f57c5868 (diff)
downloadcoreutils-f79efa913c3a26d4cdf0ab0e349d5dd6c5c944ba.tar.xz
with --reply=no, no need for input file `no'
Diffstat (limited to 'tests/mv')
-rwxr-xr-xtests/mv/i-link-no8
1 files changed, 2 insertions, 6 deletions
diff --git a/tests/mv/i-link-no b/tests/mv/i-link-no
index 91429ab84..ec5c7ba2d 100755
--- a/tests/mv/i-link-no
+++ b/tests/mv/i-link-no
@@ -23,7 +23,6 @@ ln a/foo a/bar || framework_failure=1
echo FUBAR > b/FUBAR || framework_failure=1
ln b/FUBAR b/bar || framework_failure=1
chmod a-w b/bar || framework_failure=1
-echo no > no || framework_failure=1
if test $framework_failure = 1; then
echo '$0: failure in testing framework' 1>&2
@@ -32,14 +31,11 @@ fi
fail=0
-mv --reply=no a/bar a/foo b < no 2> err > out || fail=1
+mv --reply=no a/bar a/foo b 2> err > out || fail=1
cat <<EOF > exp
EOF
-# There must be a trailing blank, and no trailing newline,
-# So remove the underscore (to expose the trailing blank) and the newline.
-cat <<\EOF |tr -d '_\012' > exp_err
-mv: overwrite `b/bar', overriding mode 0444? _
+cat <<EOF > exp_err
EOF
cmp err exp_err || fail=1